Bug 72311 - ISDN interface activation hangs
Summary: ISDN interface activation hangs
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-22 22:23 UTC by Andy Wallace
Modified: 2014-03-17 02:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 20:15:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Wallace 2002-08-22 22:23:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
After configuring ISDN connection with NEAT, and clicking 'Activate' button, the
'Network device activating...' just hangs there (the interface is up and running
fine). When set to activate automatically on boot, the boot sequence hangs on
'Bringing up interface ippp0' too.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure ISDN dialup connection with NEAT
2.Set to activate on boot, or click 'Activate' button manually.
3.
	

Actual Results:  Boot sequence hangs, or 'Network device activating...' window
hangs.


Expected Results:  Boot sequence completes successfully, or 'Network device
activating...' window disappears when the device has become active.

Additional info:

I solved this problem by adding an '&' character to line 329 of
/etc/sysconfig/network-scripts/ifup-ippp (i.e. backgrounding the invocation of
ipppd).

-ipppd $options >/dev/null 2>&1
+ipppd $options & >/dev/null 2>&1

Comment 1 Trond Eivind Glomsrxd 2002-08-23 19:49:03 UTC
Does "ifup ippp0" work?

Comment 2 Andy Wallace 2002-08-24 20:45:39 UTC
ifup ippp0 starts the interface, but hangs the command line for the same reason
as above. (I took the & out of the ifup-ippp script to test it). Put the & back
in and it works fine again.

Comment 3 Trond Eivind Glomsrxd 2002-08-26 22:30:46 UTC
Those scripts are part of initscripts.

Comment 4 Bill Nottingham 2005-09-29 20:15:56 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.